Get Agreement Institutions
Gets all institutions that have published agreements with the requested institution
Api
- Route
/articulation/api/Agreements/Published/from/{institutionId}- Method
- GET
- Key Required
- Yes
- Common Response
- Yes
- Response Type
- Validated Response of an array of Institution Agreements
Query Parameters
- institutionId (int)
- The id of the institution used to retrieve other institutions that have published articulation agreements.
Curl Example
curl -X 'GET' \
'https://prod.assistng.org/articulation/api/Agreements/Published/from/7' \
-H 'accept: application/json'
- institutionId = 7 (University of California, San Diego)
Sample Response
{
"result": [
{
"institutionId": 75,
"receivingYearIds": [
74,
75,
76
],
"sendingYearIds": null
},
{
"institutionId": 90,
"receivingYearIds": null,
"sendingYearIds": [
74,
75,
76
]
}
],
"validationFailure": null,
"isSuccessful": true
}In the above sample response, UCSD has the following published agreements:
- California Polytechnic University, Pomona from University of California, San Diego, 2023-2024
- California Polytechnic University, Pomona from University of California, San Diego, 2024-2025
- California Polytechnic University, Pomona from University of California, San Diego, 2025-2026
- Yuba College to University of California, San Diego, 2023-2024
- Yuba College to University of California, San Diego, 2024-2025
- Yuba College to University of California, San Diego, 2025-2026
Response Fields
- result (array of Institution Agreements)
- array of institutions that have published agreements with the requested institution
Institution Agreement Model
- institutionId (int)
- the id of the institution that has at least one published agreement with the requested institution
- receivingYearIds (array of int)
- array of academic year ids in which the institution has published agreements from the requested institution
- sendingYearIds (array of int)
- array of academic year ids in which the institution has published agreements to the requested institution